<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from nan_conv2.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="nan_conv2" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>nan_conv2</refname>
    <refpurpose>performs 2D convolution of matrices a and b</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   c = nan_conv2( a, b )
   c = nan_conv2( a, b, shape )
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>c :</term>
      <listitem><para>  2D convolution of matrices a and b</para></listitem></varlistentry>
   <varlistentry><term>shape:</term>
      <listitem><para> </para></listitem></varlistentry>
   <varlistentry><term>'full'     :</term>
      <listitem><para> (defalut) returns full 2D convolution</para></listitem></varlistentry>
   <varlistentry><term>'same'     :</term>
      <listitem><para> returns central part that is same size as a</para></listitem></varlistentry>
   <varlistentry><term>'valid'     :</term>
      <listitem><para> returns only those parts of the convolution that are     computed without the zero-padded edges</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
conv2 is most efficient when size(a) &gt; size(b)
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
A = rand(3,3);
B = rand(4,4);
C = nan_conv2(A,B)
Cs = nan_conv2(A,B,'same')

s = [1 2 1; 0 0 0; -1 -2 -1];
A = zeros(10,10);
A(3:7,3:7) = ones(5,5);
H = nan_conv2(A,s);
mesh(H)



   ]]></programlisting>
</refsection>
</refentry>
